package org.ts.ddcs.DataSaveProcesser;


import org.ts.ddcs.DataTemplate.DataTemplateInterface;
import org.ts.ddcs.Entity.CommandEntity;
import org.ts.ddcs.Log.LogHelper;
import org.ts.ddcs.Tool.BytesHelp;
import org.ts.ddcs.Worker.DataProcess;
import org.ts.ddcs.Worker.DataProcessHolder;

import java.util.concurrent.LinkedBlockingQueue;

@SuppressWarnings("all")
public class DataSaveProcesserSzyCE1 extends DataSaveProcesser {
    @Override
    public void Save(DataTemplateInterface dataTemplateInterface) {
        super.Save(dataTemplateInterface);
        LogHelper.info("SAVE:" + dataTemplateInterface.GetFeture());
        String rtucode = BytesHelp.byte2HexStr(dataTemplateInterface.RtuCode());

        //DataProcess.DownloadNotify(rtucode);
    }
}
